<?php

namespace Drupal\hello_world\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * This is a first Form.
 */
class FirstForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'first_form';
  }

  /**
   * {@inheritdoc}
   *
   * @param array $form
   *   Is a parameter.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   Is a parameter.
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    // Use the Form API to define form elements.
    $form['user_search'] = [
      '#type' => 'textfield',
      '#title' => '',
    // '#autocomplete_route_name' => 'user.autocomplete',
      '#size' => 40,
      '#maxlength' => 60,
    ];
    $form['submit'] = [
      '#type' => 'submit',
      '#value' => t('Search'),
    ];
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    // Validate the form values.
    $data = trim($form);
    $data = stripslashes($form);
    $data = htmlspecialchars($form);
    return $data;

  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Do something useful.
    drupal_set_message('thanks for submitting the form!');
  }

}
